AI resources
Create order

This endpoint allows you to create an order for payment transactions with Mercado Pago Point. In case of success, the request will return a response with status 201.

POST

https://api.mercadopago.com/v1/orders
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
X-Idempotency-Key
string

REQUIRED

This feature allows you to safely retry requests without the risk of accidentally performing the same action more than once. This is useful for avoiding errors, such as creating two identical payments. To ensure that eac
Body
type
string

REQUIRED

Order type, associated with the Mercado Pago solution for which it is created. For Mercado Pago Point payments, the only possible value is point.
point: Value associated with the creation of orders for Mercado Pago Point payments.
external_reference
string

REQUIRED

It is the external reference of the order, assigned when creating it. The maximum allowed limit is 64 characters, and the allowed characters are: uppercase and lowercase letters, numbers, and the symbols hyphen (-) and u
expiration_time
string
Indicates the validity period of the payment order from its creation. During this time, the order will be available for processing by the customer; if it is not processed within the specified period, it will automaticall
transactions
object

REQUIRED

Contains information about the transaction associated with the order. When the type is point, it is only possible to include 1 transaction per order.
Response parameters
id
string
Identifier of the order created in the request, automatically generated by Mercado Pago.
type
string
Order type.
point: Order created for Mercado Pago Point payments.
user_id
string
ID of the Mercado Pago account that created the order.
external_reference
string
It is the external reference of the order, assigned when creating it. The maximum allowed limit is 64 characters, and the allowed characters are: uppercase and lowercase letters, numbers, and the symbols hyphen (-) and u
Errors

400Error.

empty_required_header

The X-Idempotency-Key header is required and was not sent. Make the request again including it.

required_properties

Some required properties are missing. Check the message returned in the error details to identify the problem and try again by sending the missing information.

unsupported_properties

An unsupported property was sent. Check the message returned in the error details to find out what the problem was and try again.

minimum_properties

The minimum number of properties required to execute the request was not sent. Check the message returned in the error details to find out what the problem was and try again.

property_type

The wrong property type was submitted. For example, an integer value for a string property. Check the message returned in the error details to find out what the problem was and try again.

minimum_items

The minimum number of items for some property was not sent. Check the message returned in the error details to find out what the problem was and try again.

maximum_items

A greater number of items were sent than allowed for some property. Check the message returned in the error details to find out what the problem was and try again.

property_value

An incorrect value for some property was sent. Check the message returned in the error details to find out what the problem was and try again.

json_syntax_error

An incorrect JSON was sent. Check the message returned in the error details to find out what the problem was and try again.

invalid_installments_cost_config

The seller has a restriction that prevents the use of interest-free or interest-bearing installments. Verify that the seller has completed the installment configuration in their Mercado Pago account.

invalid_default_installments

The requested number of installments is not among the options enabled by the seller. Send a default_installments value within the available options configured for that seller in the Mercado Pago account.

missing_installments_cost

The number of installments (default_installments) is greater than 1 and no financial cost responsible was indicated for this installment (installments_cost). Redo the operation adding installments_cost with value seller or buyer.

invalid_installments_cost_single

Defining that the installment costs belong to the buyer (installments_cost=buyer) is invalid when default_installments=1 because a single installment has no financing cost. Redo the operation using installments_cost=seller or omit both fields.

invalid_payment_method_for_installments

The fields default_installments and installments_cost can only be sent when the defined payment method is credit card. Redo the operation adding default_type=credit_card to the payload or remove the installment fields if the payment is by debit card.

minimum_amount_not_met

The transaction amount is below the minimum required for the requested installment plan. Increase the amount or reduce the number of installments.

401Error.

unauthorized

The value sent as Access Token is incorrect. Please check and try again with the correct value.

403Error.

forbidden_checking_terminal_owner

The Point terminal does not belong to the user who submitted the request. Check if the value sent for terminal_id is correct or if the terminal is linked to your account.

409Error.

idempotency_key_already_used

The value sent as the idempotency header has already been used with a different request within the last 24 hours. Please try the request again sending a new value.

already_queued_order_for_terminal

The terminal already has an order waiting. It is necessary to finalize or cancel it to send new orders.

500Error.

idempotency_validation_failed

Validation fail. Please try submitting the request again.

500

Generic error. Please try submitting the request again.

Request
curl -X POST \
    'https://api.mercadopago.com/v1/orders'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********88776-122*********fc20dede6*********a497d7225*********64' \
       -H 'X-Idempotency-Key: b23439a5-cd95-44af-aa74-21df8043082e' \
    -d '{
  "type": "point",
  "external_reference": "ext_ref_1234",
  "expiration_time": "PT2M",
  "transactions": {
    "payments": [
      {
        "amount": "50.00"
      }
    ]
  },
  "config": {
    "point": {
      "terminal_id": "NEWLAND_N950__SBX0000001",
      "print_on_terminal": "no_ticket"
    },
    "payment_method": {
      "default_type": "credit_card",
      "default_installments": 6,
      "installments_cost": "seller"
    }
  },
  "description": "Smartphone",
  "integration_data": {
    "platform_id": "dev_1234567890",
    "integrator_id": "dev_123456",
    "sponsor": {
      "id": "446566691"
    }
  }
}'
Response
{
  "id": "ORD00001111222233334444555566",
  "type": "point",
  "user_id": "5238400195",
  "external_reference": "ext_ref_1234",
  "description": "Smartphone",
  "expiration_time": "PT2M",
  "processing_mode": "automatic",
  "country_code": "BR",
  "currency": "BRL",
  "integration_data": {
    "application_id": "1234567890",
    "platform_id": "dev_1234567890",
    "integrator_id": "dev_123456",
    "sponsor": {
      "id": "446566691"
    }
  },
  "status": "created",
  "status_detail": "created",
  "created_date": "2024-09-10T14:26:42.109320977Z",
  "last_updated_date": "2024-09-10T14:26:42.109320977Z",
  "config": {
    "point": {
      "terminal_id": "NEWLAND_N950__SBX0000001",
      "print_on_terminal": "no_ticket"
    },
    "payment_method": {
      "default_type": "credit_card",
      "default_installments": 6,
      "installments_cost": "seller"
    }
  },
  "transactions": {
    "payments": [
      {
        "id": "PAY01J67CQQH5904WDBVZEM4JMEP3",
        "amount": "50.00",
        "status": "created"
      }
    ]
  }
}